// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#include "scimgtools.hpp"

QColor oppAvColor(const QImage* image , const uint pixCount) {
  uint r = 0 , g = 0 , b = 0;
  for (int x = 0 ; x < image->width() ; x++)
    for (int y = 0 ; y < image->height() ; y++) {
      QRgb farbe = image->pixel(x , y);
      r += qRed(farbe);
      g += qGreen(farbe);
      b += qBlue(farbe);
    }
  return QColor(255 - qRound(double(r) / double(pixCount)) , 255 - qRound(double(g) / double(pixCount)) , 255 - qRound(double(b) / double(pixCount)));
}
