// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SCSIZECHANGER_HPP
#define SCSIZECHANGER_HPP

#include <qwidget.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlistbox.h>
#include <qlabel.h>

class SCSizeChanger : public QWidget {
  Q_OBJECT
  public :
    SCSizeChanger(int _stWidth , int _stHeight , QWidget* parent);
    int getWidth();
    int getHeight();
  private :
    QSpinBox *height;
    QSpinBox *width;
    QCheckBox *keepRel;
    QLabel *actRel;
    QListBox *heightUnit;
    QListBox *widthUnit;
    int absWidth;	//neue Breite [Pixel]
    int absHeight;	//neue Hhe [Pixel]
    int stWidth;	//Ausgangsbreite [Pixel]
    int stHeight;	//Ausgangshhe [Pixel]
  private slots :
    void heightChanged(int newHeight);
    void widthChanged(int newWidth);
    void widthUnitChanged(int index);
    void heightUnitChanged(int index);
  signals :
    void sizeChanged();
};

inline int SCSizeChanger::getWidth() {
  return absWidth;
}

inline int SCSizeChanger::getHeight() {
  return absHeight;
}

#endif
