// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SGRAD_HPP
#define SGRAD_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qcheckbox.h>
#include "skurve.hpp"

class SGrad : public QDialog {
  Q_OBJECT
  public :
    SGrad(QWidget *parent , QImage *dataAdr , QImage *backupAdr);
  private :
    QImage *backup;
    QImage* data;
    QCheckBox* red;
    QCheckBox* green;
    QCheckBox* blue;
    SKurve* kurve;
  private slots :
    void createPreview();
    void reset();
  signals :
    void modified();
};

#endif
