// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SNEW_HPP
#define SNEW_HPP

#include <qdialog.h>
#include <qlistbox.h>
#include <qcolordialog.h>
#include "../comps/scsizechanger.hpp"

class SNew : public QDialog {
  Q_OBJECT
  public :
    SNew(QWidget *parent);
    SCSizeChanger *sizeChanger;
    QRgb fillColor;
    int getDepth();
  private :
    QListBox *depthList;
  private slots :
    void getFillColor();
};

inline int SNew::getDepth() {
  switch (depthList->currentItem()) {
    case 0 :
      return 1;
    case 1 :
      return 8;
    default :
      return 32;
  }
}

inline void SNew::getFillColor() {
  fillColor = QColorDialog::getRgba (fillColor , 0 , this , "chooseFillColorDlg");
}

#endif
