// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#include "smark.hpp"

SMark::SMark(QWidget *parent) : QWidget(parent , "mark") {
  hide();
  setMouseTracking(true);
  mode = none;
}

void SMark::mousePressEvent(QMouseEvent *mouse) {
  if (mode == fixed)
      if (editRegML.contains(mouse->pos()))	//...auf Editkstchen mitte-links
	  emit clicked(ML);
	else
	  if (editRegUM.contains(mouse->pos()))	//...auf Editkstchen unten-mitte?
	      emit clicked(UM);
	    else
	      if (editRegMR.contains(mouse->pos()))	//...auf Editkstchen mitte-rechts?
		  emit clicked(MR);
		else
		  if (editRegOM.contains(mouse->pos()))	//...auf Editkstchen oben-mitte?
		      emit clicked(OM);
		    else
		      if (editRegUR.contains(mouse->pos()))	//...auf Editkstchen unten-rechts?
			  emit clicked(UR);
			else
			  if (editRegOL.contains(mouse->pos()))	//...auf Editkstchen oben-links?
			      emit clicked(OL);
			    else
			      if (editRegUL.contains(mouse->pos()))	//...auf Editkstchen unten-links?
				  emit clicked(UL);
				else
				  if (editRegOR.contains(mouse->pos()))	//...auf Editkstchen oben-rechts?
				      emit clicked(OR);
				    else	//sonst auf Rahmen
				      mouse->ignore();	//Weiterleiten an Parent (SPic)
    else	//sonst (whrend Bearbeiten)
      mouse->ignore();	//Weiterleiten an Parent(SPic)
}

void SMark::paintEvent(QPaintEvent *) {
  QRegion mask = QRegion(0 , 0 , width() , height()).subtract(QRegion(1 , 1 , width() - 2 , height() - 2));	//Rahmen
  if (width() > 17 and height() > 17 and mode == fixed) {	//Editkstchen erwnscht?
    editRegOL = QRegion(0 , 0 , 6 , 6);
    mask = mask.unite(editRegOL);
    editRegML = QRegion(0 , qRound(height() / 2.0) - 3 , 6 , 6);
    mask = mask.unite(editRegML);
    editRegUL = QRegion(0 , height() - 6 , 6 , 6);
    mask = mask.unite(editRegUL);
    editRegUM = QRegion(qRound(width() / 2.0) - 3 , height() - 6 , 6 , 6);
    mask = mask.unite(editRegUM);
    editRegUR = QRegion(width() - 6 , height() - 6 , 6 , 6);
    mask = mask.unite(editRegUR);
    editRegMR = QRegion(width() - 6 , qRound(height() / 2.0) - 3 , 6 , 6);
    mask = mask.unite(editRegMR);
    editRegOR = QRegion(width() - 6 , 0 , 6 , 6);
    mask = mask.unite(editRegOR);
    editRegOM = QRegion(qRound(width() / 2.0) - 3 , 0 , 6 , 6);
    mask = mask.unite(editRegOM);
  }
  setMask(mask);
}
