// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SMARK_HPP
#define SMARK_HPP

#include <qwidget.h>
#include <qregion.h>

enum SEditReg {OL , ML , UL , UM , UR , MR , OR , OM};
enum SMarkMode {none , editE , fixed , editV , editH , editA};
class SMark : public QWidget {
  Q_OBJECT
  public :
    SMark(QWidget *parent);
    SMarkMode mode;
  private :
    QRegion editRegOL;	//Bereiche der Editkstchen
    QRegion editRegML;
    QRegion editRegUL;
    QRegion editRegUM;
    QRegion editRegUR;
    QRegion editRegMR;
    QRegion editRegOR;
    QRegion editRegOM;
  protected :
    void mousePressEvent(QMouseEvent *e);
    void paintEvent(QPaintEvent *);
  signals :
    void clicked(SEditReg);
};

#endif
